%define subversion 0
%define majver %(echo %version | cut -d. -f1-2)
Name:          ufw
Version:       0.35
Release:       3mamba
Summary:       ufw is Uncomplicated Firewall a cli front end to iptables
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           https://launchpad.net/ufw
Source:        http://launchpad.net/ufw/%{majver}/%{version}/+download/ufw-%{version}.tar.gz
Source1:       ufw.service
Patch0:        %{name}-0.30.1-initscript-chkconfig.patch
Patch1:        %{name}-0.30.1-enabled_by_default.patch
Patch2:        %{name}-0.30.1-load_netbios_ipt_module.patch 
Patch3:        ufw-0.35-disable_logging_by_default.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: iptables
BuildRequires: iptables-ipv6
%systemd_requires
Requires:      python >= %python_version
Requires:      iptables
Requires:      iptables-ipv6
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Ufw stands for Uncomplicated Firewall, and is program for managing a netfilter firewall. It provides a command line interface and aims to be uncomplicated and easy to use.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}"

install -D -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/ufw.service

%pre
# 0.35: needs configuration upgrade
if [ -e /lib/ufw/user.rules ]; then
   [ -e /etc/ufw/user.rules ] && mv /etc/ufw/user.rules /etc/ufw/user.rules.save
   mv /lib/ufw/user.rules /etc/ufw/user.rules
fi
if [ -e /lib/ufw/user6.rules ]; then
   [ -e /etc/ufw/user6.rules ] && mv /etc/ufw/user6.rules /etc/ufw/user6.rules.save
   mv /lib/ufw/user6.rules /etc/ufw/user6.rules
fi
:

%post
%systemd_post ufw
if [ $1 -eq 1 ]; then
# workaround
   systemctl -q enable ufw
fi
:

%preun
%systemd_preun ufw

%postun
%systemd_postun_with_restart ufw

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/default/ufw
%dir %{_sysconfdir}/ufw
%config(noreplace) %{_sysconfdir}/ufw/*.init
%config(noreplace) %{_sysconfdir}/ufw/*.rules
%config(noreplace) %{_sysconfdir}/ufw/*.conf
%dir %{_sysconfdir}/ufw/applications.d
%{_sysconfdir}/ufw/applications.d/ufw-*
%{_sbindir}/ufw
%{_unitdir}/ufw.service
%dir /lib/ufw
/lib/ufw/ufw-init
/lib/ufw/ufw-init-functions
#%config(noreplace) /lib/ufw/user.rules
#%config(noreplace) /lib/ufw/user6.rules
%dir %{_datadir}/ufw
%dir %{_datadir}/ufw/iptables
%{_datadir}/ufw/iptables/*.rules
%{python_sitelib}/ufw-%{version}-py*.egg-info
%{python_sitelib}/ufw/*.py
%{python_sitelib}/ufw/*.pyc
%{_mandir}/man8/*.8.gz
%{_datadir}/ufw/messages/*.mo

%changelog
* Thu Nov 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.35-3mamba
- disable logging by default in ufw.conf

* Wed May 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.35-2mamba
- move user rules from /lib/ufw to /etc/ufw

* Wed May 18 2016 Automatic Build System <autodist@mambasoft.it> 0.35-1mamba
- automatic version update by autodist

* Tue Sep 15 2015 Automatic Build System <autodist@mambasoft.it> 0.34-1mamba
- automatic version update by autodist

* Thu Jan 01 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-7mamba
- /lib/ufw/user[6].rules are config files, don't overwrite on update!

* Wed Dec 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-6mamba
- enable service on install only, not on upgrade

* Mon Dec 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-5mamba
- don't install ufw-init sysv initscript

* Tue Sep 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-4mamba
- switched to systemd service file

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-3mamba
- python 2.7 mass rebuild

* Wed Sep 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-2mamba
- don't replace *.rules configuration files on upgrade

* Tue Sep 04 2012 Automatic Build System <autodist@mambasoft.it> 0.33-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.1-4mamba
- load netbios ipt module by default to make samba work

* Tue Nov 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.1-3mamba
- added patch to enable ufw by default

* Tue Nov 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.1-2mamba
- initscript: add chkconfig support and enable by default

* Mon Oct 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.1-1mamba
- update to 0.30.1

* Fri Mar 18 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.30.0-1mamba
- update to 0.30.3

* Wed Jul 07 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.29.3-2mamba
- added pre and postun scripts

* Wed Jul 07 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.29.3-1mamba
- package created by autospec
